## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/ralph-irving/squeezelite/
%global commit   54e39690d9882d56c56fbdced4661abce7d8beff
%forgemeta

# Allow AAC to be played directly in the client rather than
# first being transcoded on the server.  Requires libraries not included
# in Fedora for legal reasons.
%bcond_with      faad


Name:            squeezelite
Version:         2.0.0.1504
Release:         %autorelease
Summary:         Headless music player for streaming from Lyrion Music Server

# Squeezelite is released under the GPLv3 licence.
# It incorporates dsd2pcm, which is BSD licenced.
License:         GPL-3.0-only AND BSD-2-Clause-Views

URL:             %{forgeurl}
Source0:         %{forgesource}
Source1:         %{name}.system.service
Source2:         %{name}.user.service
Source3:         %{name}.service.7.md
Source4:         %{name}.sysconfig

BuildRequires: make
BuildRequires:   alsa-lib-devel
%if %{with faad}
BuildRequires:   faad2-devel
%endif
BuildRequires:   ffmpeg-free-devel
BuildRequires:   flac-devel
BuildRequires:   gcc
BuildRequires:   libgpiod-devel >= 2
BuildRequires:   libmad-devel
BuildRequires:   libogg-devel
BuildRequires:   libvorbis-devel
BuildRequires:   lirc-devel
BuildRequires:   mpg123-devel
BuildRequires:   openssl-devel
BuildRequires:   opus-devel
BuildRequires:   opusfile-devel
BuildRequires:   pandoc
BuildRequires:   pulseaudio-libs-devel
BuildRequires:   soxr-devel
BuildRequires:   systemd

Requires(pre):   shadow-utils
%{?systemd_requires}


%description
Squeezelite is a headless client for Lyrion Music Server, and can be
used in place of dedicated Squeezebox network music playing hardware.


%prep
%forgesetup


%build
%set_build_flags

export OPTS="-DDSD -DLINKALL -DRESAMPLE -DVISEXPORT -DIR -DGPIO -DRPI -DFFMPEG %{?!with_faad:-DNO_FAAD} -DUSE_LIBOGG -DUSE_SSL -DOPUS"
%make_build CPPFLAGS+="-I%{_includedir}/ffmpeg" CPPFLAGS+="-I%{_includedir}/ogg" CPPFLAGS+="-I%{_includedir}/opus" EXECUTABLE=%{name}-alsa
%make_build clean

export OPTS="$OPTS -DPULSEAUDIO"
%make_build CPPFLAGS+="-I%{_includedir}/ffmpeg" CPPFLAGS+="-I%{_includedir}/ogg" CPPFLAGS+="-I%{_includedir}/opus" EXECUTABLE=%{name}-pulse

pandoc --to=man --standalone --output=%{name}.service.7 %{SOURCE3}


%install
install -p -D -t %{buildroot}/%{_bindir} %{name}-alsa
ln -s %{name}-alsa %{buildroot}/%{_bindir}/%{name}
install -p -D -t %{buildroot}/%{_bindir} %{name}-pulse
install -p -D -m 0644 %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service
install -p -D -m 0644 %{SOURCE2} %{buildroot}/%{_userunitdir}/%{name}.service
install -p -D -m 0644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -p -D -t %{buildroot}/%{_mandir}/man1 -m 0644 doc/%{name}.1
install -p -D -t %{buildroot}/%{_mandir}/man7 -m 0644 %{name}.service.7
mkdir -p %{buildroot}/%{_sharedstatedir}/%{name}


%files
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %attr(-,%{name},%{name}) %{_sharedstatedir}/%{name} 
%doc %{_mandir}/*/*
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-alsa
%{_bindir}/%{name}-pulse
%{_unitdir}/%{name}.service
%{_userunitdir}/%{name}.service


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -G audio -d %{_sharedstatedir}/%{name} \
        -s /sbin/nologin -c "Squeezelite headless streaming music client" \
        %{name}
exit 0


%post
%systemd_post %{name}.service
%systemd_user_post %{name}.service


%preun
%systemd_preun %{name}.service
%systemd_user_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%changelog
## START: Generated by rpmautospec
* Sun Nov 17 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1504-3
- Really drop patch.

* Sun Nov 17 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1504-2
- Drop FFmpeg 7 compatibility patch, which is now upstream.

* Sun Nov 17 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1504-1
- Update to version 1504.

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.0.1486-6
- Rebuild for ffmpeg 7

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0.1486-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 09 2024 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0.1486-4
- Add reference to upstream PR for FFmpeg patch

* Wed May 08 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1486-3
- Don’t block saving of player name.

* Wed May 08 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1486-2
- Systemd sandboxing.

* Wed May 08 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1486-1
- Update to version 1486.

* Sun May 05 2024 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0.1476-4
- Add compatibility with FFMPEG 7.0

* Thu Apr 04 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1476-3
- Logitech Media Server has rebranded as Lyrion Music Server.

* Thu Apr 04 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1476-2
- Logitech Media Server has rebranded as Lyrion Music Server.

* Mon Apr 01 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1476-1
- Update to verison 2.0.0.1476.

* Fri Feb 23 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1468-1
- Update to version 2.0.0.1468.

* Fri Feb 23 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1464-4
- Update to version 2.0.0.1468.

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0.1464-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 06 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1464-2
- Build with FFmpeg, now it’s in Fedora.

* Sat Jan 06 2024 Peter Oliver <git@mavit.org.uk> - 2.0.0.1464-1
- Update to version 2.0.0.1464

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.9.1428-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Apr 06 2023 Peter Oliver <git@mavit.org.uk> - 1.9.9.1428-1
- Update to version 1.9.9.1428.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.9.1412-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 08 2022 Peter Oliver <git@mavit.org.uk> - 1.9.9.1412-3
- Remember to upload sources.

* Tue Nov 08 2022 Peter Oliver <git@mavit.org.uk> - 1.9.9.1412-2
- SPDX.

* Tue Nov 08 2022 Peter Oliver <git@mavit.org.uk> - 1.9.9.1412-1
- Upgrade to 1.9.9.1412 for compatibility with FLAC 1.4.

* Wed Sep 14 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.9.1392-5
- Rebuilt for flac 1.4.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.9.1392-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.9.1392-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 26 2021 Peter Oliver <git@mavit.org.uk> - 1.9.9.1392-2
- Sources.

* Sun Dec 26 2021 Peter Oliver <git@mavit.org.uk> - 1.9.9.1392-1
- Update to version 1.9.9.1392.

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.9.9.1386-2
- Rebuilt with OpenSSL 3.0.0

* Wed Aug 25 2021 Peter Oliver <rpm@mavit.org.uk> - 1.9.9.1386-1
- Update to version 1.9.9.1386.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.9.1372-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May  6 2021 Peter Oliver <rpm@mavit.org.uk> - 1.9.9.1372-1
- Properly clean between builds.  Fixes lack of audio with
  squeezelite-pulse on Fedora 34.
- Drop redundant systemd user service preset, since the default is now off.
- Update to version 1.9.9.1372.

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.9.1353-2
- Rebuilt for updated systemd-rpm-macros
  See https://pagure.io/fesco/issue/2583.

* Thu Feb 18 2021 Peter Oliver <rpm@mavit.org.uk> - 1.9.9.1353-1
- Update to version 1.9.9.1353.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.8.1307-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec  5 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.8.1307-1
- Update to version 1.9.8.1307.  Fixes #1901872.

* Thu Nov 26 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.8.1287-2
- Use ALSA backend by default.  Works around #1901872, which causes some audio content to play at the wrong speed and pitch.

* Tue Nov 17 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.8.1287-1
- Update to version 1.9.8.1287.  Fixes #1897557.

* Fri Sep  4 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.7.1273-1
- Update to version 1.9.7.1273.

* Thu Sep  3 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.7.1270-1
- Update to version 1.9.7.1270.
- Build a native PulseAudio binary.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.6.1210-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Feb  7 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.6.1210-1
- Update to 1.9.6.1210, fixing GCC 10 build failure.

* Sat Jan 25 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.6.1205-3
- Don't start user service in terminal-only sessions.
- Detect failure with systemd if exec fails.

* Fri Jan  3 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.6.1205-2
- Confusion between arm7hl and armhfp.

* Fri Jan  3 2020 Peter Oliver <rpm@mavit.org.uk> - 1.9.6.1205-1
- Update to version 1.9.6.1205.
- Native Opus support.

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2.1165-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 2019 Peter Oliver <rpm@mavit.org.uk> - 1.9.2.1165-1
- Update to version 1.9.2.1165.
- Enable HTTPS.

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0.1126-4.gita1dd79d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 23 2018 Peter Oliver <rpm@mavit.org.uk> - 1.9.0.1126-3
- Update to revision 1126.

* Tue Jul 31 2018 Peter Oliver <rpm@mavit.org.uk> - 1.9.0.1104-3
- Require gcc for build.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0.1104-2.gitc56dbb0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Peter Oliver <rpm@mavit.org.uk> - 1.9.0.1104-1
- Update to version 1.9.0.1104.

* Mon Apr 30 2018 Peter Oliver <rpm@mavit.org.uk> - 1.9.0.1093-7
- Update to 1.9.0.1093.

* Thu Apr 26 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-6
- Don't replace config file on update.

* Thu Apr 26 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-5
- Mark sysconfig file as config.
- Update man page to mention sysconfig file.

* Thu Apr 26 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-4
- Optionally BuildRequire wiringpi on FedBerry.
- Allow passing of command line args to system service via
  /etc/sysconfig/squeezelite.
- Add missing BSD licence tag.
- Disable user service by default.
- Create config directory before starting user service.

* Thu Apr 26 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-3
- Include systemd scriptlets to restart service on update.

* Wed Apr 25 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-2
- Make Raspberry Pi support optional.

* Wed Apr 25 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1083-1
- Update to version 1.8.7-1083.

* Tue Apr 24 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1078-2
- Make optional legally problematic codecs.

* Sun Apr 22 2018 Peter Oliver <rpm@mavit.org.uk> - 1.8.7.1078-1
- Initial package.

## END: Generated by rpmautospec
